Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.extensions.xmp
Class XMPMetadata

    java.lang.Object
      org.apache.fop.fo.extensions.xmp.XMPMetadata

All Implemented Interfaces:
  java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class XMPMetadata

extends java.lang.Object
implements ExtensionAttachment, java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

This is the pass-through value object for the XMP metadata extension.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CATEGORY` The category URI for this extension attachment.

Constructor Summary
`XMPMetadata()` No-argument contructor.
`XMPMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)` Default constructor.

Method Summary
`java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`org.apache.xmlgraphics.xmp.Metadata` | `getMetadata()`
`boolean` | `isReadOnly()`
`void` | `setMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)` Sets the XMP metadata.
`void` | `setReadOnly(boolean readOnly)` Sets the flag that decides whether a metadata packet may be modified.
`void` | `toSAX(org.xml.sax.ContentHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORY

    public static final java.lang.String CATEGORY

  The category URI for this extension attachment.

  See Also:
    Constant Field Values

Constructor Detail

### XMPMetadata

    public XMPMetadata()

  No-argument contructor.

### XMPMetadata

    public XMPMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)

  Default constructor.

  Parameters:
    `metadata` - the XMP metadata

Method Detail

### getMetadata

    public org.apache.xmlgraphics.xmp.Metadata getMetadata()

  Returns:
    the XMP metadata

### setMetadata

    public void setMetadata(org.apache.xmlgraphics.xmp.Metadata metadata)

  Sets the XMP metadata.

  Parameters:
    `metadata` - the XMP metadata

### isReadOnly

    public boolean isReadOnly()

  Returns:
    true if the XMP metadata is marked read-only.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Sets the flag that decides whether a metadata packet may be modified.

  Parameters:
    `readOnly` - true if the XMP metadata packet should be marked read-only.

### getCategory

    public java.lang.String getCategory()

  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Specified by:
    `getCategory` in interface `ExtensionAttachment`
  Returns:
    the category URI

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.